jQuery(document).ready(function($){
	
	function support_format_webp()
	{
	 var elem = document.createElement('canvas');

	 if (!!(elem.getContext && elem.getContext('2d')))
	 {
	  // was able or not to get WebP representation
	  return elem.toDataURL('image/webp').indexOf('data:image/webp') == 0;
	 }
	 else
	 {
	  // very old browser like IE 8, canvas not supported
	  return false;
	 }
	}
	
	var webpSupport = support_format_webp();
	console.log(webpSupport);
	var folder = "";
	var extension = ".jpg";
	if(webpSupport) {
		folder = "webp/";
		extension = "_risultato.webp";
	}
	
	var multiplier = 0.7;
	var scrolled = 0;
	var ismobile = false;
	var ismobile1 = false;
	var lerp = 0.1;
	var pin = true;
	if($(window).width() < 901) {
		ismobile = true;
		multiplier = 1.5;
		// multiplier = 0.7;
	// 	lerp = 0.25;
		//pin = false;
	}
	
	$("#burger").click(function(){
		$("html").toggleClass("burger-out");
	});
	
	setTimeout(function () {
		$("#smooth-container").addClass("show");
	}, 200);
	gsap.registerPlugin(ScrollTrigger);
	
    // const locoScroll = new LocomotiveScroll({
 //       el: document.querySelector(".smooth-scroll"),
 //       smooth: true,
 //       getDirection: true,
 //       smoothMobile: 0,
 //       lerp: .25,
 //       mobile: {
 //         smooth: false
 //       },
 //       tablet: {
 //         smooth: false
 //       }
 //     })
 var locoScroll;
 if($("html").hasClass("iphone") && false) {
 	locoScroll = new LocomotiveScroll({
 	  el: document.querySelector(".smooth-scroll"),
 	 	smooth: true,
 		multiplier: multiplier,
 		lerp: lerp,
 		smoothMobile: 0,
 		mobile: {
 		smooth: false
 		},
 		 tablet: { smooth: false },
 		 getSpeed: true,
 		 getDirection: true
 	});
 } else {
 	locoScroll = new LocomotiveScroll({
 	  el: document.querySelector(".smooth-scroll"),
 	 	smooth: true,
 		multiplier: multiplier,
 		lerp: lerp,
 		smoothMobile: true,
 		mobile: {
 		smooth: true
 		},
 		 tablet: { smooth: true },
 		 getSpeed: true,
 		 getDirection: true
 	});
 }
	
	locoScroll.on("scroll", ScrollTrigger.update);
	ScrollTrigger.scrollerProxy(".smooth-scroll", {
	  scrollTop(value) {
			if($("#contatti").offset().top < 200) {
				$(".ancora").removeClass("attivo");
				$(".ancora[data-id='contatti']").addClass("attivo");
			} else if($("#inventore").offset().top < 200) {
				$(".ancora").removeClass("attivo");
				$(".ancora[data-id='inventore']").addClass("attivo");
			} else if($("#caratteristiche").offset().top < 200) {
				$(".ancora").removeClass("attivo");
				$(".ancora[data-id='caratteristiche']").addClass("attivo");
			} else {
				$(".ancora").removeClass("attivo");
				$(".ancora[data-id='brevetto']").addClass("attivo");
			}
	    return arguments.length ? locoScroll.scrollTo(value, 0, 0) : locoScroll.scroll.instance.scroll.y;
	  }, 
	  getBoundingClientRect() {
	    return {top: 0, left: 0, width: window.innerWidth, height: window.innerHeight};
	  },
	  pinType: document.querySelector(".smooth-scroll").style.transform ? "transform" : "fixed"
	});
	
	
	//$("html").addClass("has-scroll-smooth");
	
	
$(".ancora").click(function(e){
	e.preventDefault();
	$("html").removeClass("burger-out");
	locoScroll.scrollTo(document.querySelector('#'+$(this).attr("data-id")));
});	
$(".scroll-top").click(function(e){
	e.preventDefault();
	locoScroll.scrollTo(document.querySelector('#top-scroll'));
});	

	var CURR_URL = window.location.href.replace("/it/","/").replace("/en/","/");
	


	// VIDEO 1
	const canvas = document.getElementById("hero-lightpass");
	const context = canvas.getContext("2d");
	canvas.width = 1920;
	canvas.height = 1080;
	const frameCount = 276;
	const currentFrame = index => ( `${CURR_URL}wp-content/themes/lunar/video/intro/${folder}LUNAR_S1_V01_${(index + 53).toString().padStart(5, '0')}${extension}`);
	const images = []
	const airpods = { frame: 0 };
	for (let i = 0; i < frameCount; i++) {
	  const img = new Image();
	  img.src = currentFrame(i);
	  images.push(img);
	}
	images[0].onload = render;
	function render() {
	  context.clearRect(0, 0, canvas.width, canvas.height);
	  context.drawImage(images[airpods.frame], 0, 0); 
	}
	
	//VIDEO 2
	const canvas2 = document.getElementById("hero-lightpass2");
	const context2 = canvas2.getContext("2d");
	canvas2.width = 1500;
	canvas2.height = 1080;
	const frameCount2 = 165;
	const currentFrame2 = index2 => ( `${CURR_URL}wp-content/themes/lunar/video/assemblaggio/${folder}LUNAR_S4_V01_${(index2).toString().padStart(5, '0')}${extension}`);
	const images2 = []
	const airpods2 = { frame: 0 };
	for (let i = 0; i < frameCount2; i++) {
	  const img2 = new Image();
	  img2.src = currentFrame2(i);
	  images2.push(img2);
	}
	images2[0].onload = render2;
	function render2() {
	  context2.clearRect(0, 0, canvas2.width, canvas2.height);
	  context2.drawImage(images2[airpods2.frame], 0, 0); 
	}
	
	//VIDEO 3
	extension = ".png";
	if(webpSupport) {
		extension = "_risultato.webp";
	}
	const canvas3 = document.getElementById("hero-lightpass3");
	const context3 = canvas3.getContext("2d");
	canvas3.width = 400;
	canvas3.height = 1000;
	const frameCount3 = 97;
	const currentFrame3 = index3 => ( `${CURR_URL}wp-content/themes/lunar/video/profilo/${folder}LUNAR_S2_V01_ALPHA_${(index3).toString().padStart(5, '0')}${extension}`);
	const images3 = []
	const airpods3 = { frame: 0 };
	for (let i = 0; i < frameCount3; i++) {
	  const img3 = new Image();
	  img3.src = currentFrame3(i);
	  images3.push(img3);
	}
	images3[0].onload = render3;
	function render3() {
	  context3.clearRect(0, 0, canvas3.width, canvas3.height);
	  context3.drawImage(images3[airpods3.frame], 0, 0); 
	}
	
	extension = ".jpg";
	if(webpSupport) {
		extension = "_risultato.webp";
	}
	//VIDEO 4
	const canvas4 = document.getElementById("hero-lightpass4");
	const context4 = canvas4.getContext("2d");
	canvas4.width = 1000;
	canvas4.height = 1800;
	const frameCount4 = 301;
	const currentFrame4 = index4 => ( `${CURR_URL}wp-content/themes/lunar/video/laterale/${folder}LUNAR_S3_v03_${(index4).toString().padStart(5, '0')}${extension}`);
	const images4 = []
	const airpods4 = { frame: 0 };
	for (let i = 0; i < frameCount4; i++) {
	  const img4 = new Image();
	  img4.src = currentFrame4(i);
	  images4.push(img4);
	}
	images4[0].onload = render4;
	function render4() {
	  context4.clearRect(0, 0, canvas4.width, canvas4.height);
	  context4.drawImage(images4[airpods4.frame], 0, 0); 
	}
	
	var end1 = 350;
	var end2 = 300;
	if(ismobile) {
		end1 = 250;
		end2 = 200;
	}

	


	if(ismobile1) {
		gsap.to(airpods, {
		  frame: frameCount - 1,
		  snap: "frame",
		  scrollTrigger: {
				trigger: ".logo-container",
			  	scrub: true,
				scroller: ".smooth-scroll",
				start: "+=20%",
				end: "+=150%"
		  },
		  onUpdate: render
		});
		var tl_step1 = gsap.timeline({
		    scrollTrigger: {
		      trigger: ".step1",
		      scroller: ".smooth-scroll",
		      scrub: true,
		      start: "bottom bottom",
			  pin: pin,
			  start: "-=70%",
		      end: "+=70%"
		    }
		  });
		tl_step1.from("#menu", {y: "-100%", opacity:0, ease: "none"})
					.from("#titolo", { opacity:0, ease: "none"},"-=2")
					.to("#titolo", { opacity:0, ease: "none"},"-=1")
					// .to("#hero-lightpass", {y: "-120px", ease: "none"}, "-=1")
					.from("#titolo2", {y: "20px", opacity:0, ease: "none"},"-=0.5")
	} else {
		gsap.to(airpods, {
		  frame: frameCount - 1,
		  snap: "frame",
		  scrollTrigger: {
				trigger: ".logo-container",
			  	scrub: true,
				scroller: ".smooth-scroll",
				start: "+=50%",
				end: "+="+end1+"%"
		  },
		  onUpdate: render
		});
		var tl_step1 = gsap.timeline({
		    scrollTrigger: {
		      trigger: ".step1",
		      scroller: ".smooth-scroll",
		      scrub: true,
		      start: "top top",
			  pin: pin,
		      end: "+="+end2+"%"
		    }
		  });
		tl_step1.from("#menu", {y: "-100%", opacity:0, ease: "none"})
					.from("#titolo", { opacity:0, ease: "none"},"-=0.5")
					.to("#titolo", { opacity:0, ease: "none"})
					.to("#hero-lightpass", {y: "-120px", ease: "none"}, "-=0.5")
			  		.to("#ombra", {y: "-120px", ease: "none"}, "-=0.5")
					.from("#titolo2", {y: "20px", opacity:0, ease: "none"},"+=0.5")
	}
	
	  
	
		
		
		
	
		
		if(ismobile1) {
			
		} else {
			var tl_step3 = gsap.timeline({
			    scrollTrigger: {
			      trigger: ".titolo3-c",
			      scroller: ".smooth-scroll",
			      scrub: true,
						pin: pin,
						start: "center center",
			      end: "+=100%"
			    }
			  });
				tl_step3.from("#titolo3", {y: "200px", opacity:0, ease: "none",duration: 2})
							.to("#titolo3", {y: "0", opacity:1, ease: "none",duration: 2})
							.to("#titolo3", {y: "-200px", opacity:0, ease: "none",duration: 2})

		
		}

	  	var end3 = 300;
	  	if(ismobile) {
	  		end3 = 200;
	  	}
if(ismobile1) {
	var tl_step2 = gsap.timeline({
	    scrollTrigger: {
	      trigger: ".step2",
	      scroller: ".smooth-scroll",
	      scrub: true,
				pin: pin,
				start: "-=40%",
	      		end: "+=100%"
	    }
	  });
	  
	tl_step2.add('start')
		  			.to("#titolo_pneumatico", { opacity:0, ease: "none", duration:1},'+=1.3')
					.to(airpods2, {
							frame: frameCount2 - 1,
							snap: "frame",
							onUpdate: render2,
							duration: 5
					}, 'start')
					.to("#titolo4", { opacity:1, ease: "none", duration:1},'-=3.5')
					//.to("#titolo4", { opacity: 0, ease: "none", duration:1},'-=2')
				//	.to("#titolo4", { autoAlpha: "0", ease: "none",duration:0},'-=1.5')
					// .to("#titolo5", { autoAlpha: "1", ease: "none",duration:0},'-=1.5')
// 					.to("#titolo5", { autoAlpha: "0", ease: "none",duration:1})
 } else {
	var tl_step2 = gsap.timeline({
	    scrollTrigger: {
	      trigger: ".step2",
	      scroller: ".smooth-scroll",
	      scrub: true,
				pin: pin,
				start: "top top",
	      end: "+="+end3+"%"
	    }
	  });
	  
	tl_step2.add('start')
		  			.to("#titolo_pneumatico", { opacity:0, ease: "none", duration:0.5},'-=0.5')
					.to(airpods2, {
							frame: frameCount2 - 1,
							snap: "frame",
							onUpdate: render2,
							duration: 5
					}, 'start')
					.to("#titolo4", { opacity:1, ease: "none", duration:1},'-=4')
					.to("#titolo4", { y: "-60px", ease: "none", duration:1},'-=4')
					.to("#titolo4", { opacity: 0, ease: "none", duration:1},'-=3')
				//	.to("#titolo4", { autoAlpha: "0", ease: "none",duration:0},'-=1.5')
					.to("#titolo5", { autoAlpha: "1", ease: "none",duration:0},'-=1.5')
					.to("#titolo5", { autoAlpha: "0", ease: "none",duration:1})
 }
		
	
	if(ismobile1) {
		
	} else {
		//STEP3 SUONO
		var tl_step4 = gsap.timeline({
		    scrollTrigger: {
		      trigger: ".container-opacity",
		      scroller: ".smooth-scroll",
		      scrub: true,
					pin: pin,
					start: "center center",
		      end: "+=100%"
		    }
		  });
			tl_step4.from(".move-co", {y: "200px", opacity:0, ease: "none",duration: 2})
							.to(".move-co", {y: "0", opacity:1, ease: "none",duration: 2})
							.to(".move-co", {y: "-200px", opacity:0, ease: "none",duration: 2})					
		
		
	}
		
	
			
				
				
			//STEP4
	  	var end4 = 300;
	  	if(ismobile) {
	  		end4 = 200;
	  	}

if(ismobile1) {
	var tl_step5 = gsap.timeline({
	    scrollTrigger: {
	      trigger: ".step4",
	      scroller: ".smooth-scroll",
	      scrub: true,
				pin: pin,
				start: "-=30%",
	      end: "+=100%"
	    }
	  });
		tl_step5.to(airpods3, {
							frame: frameCount3 - 1,
							snap: "frame",
							onUpdate: render3,
							duration: 6
					}, 'start')
					.to("#titolo8", { x:"-200%", ease: "none", duration:3},"-=6")
					.to("#titolo_8s", { x:"-200%", ease: "none", duration:3},"-=4")
				//	.to(".suono", {  opacity:1, y: "-40px", ease: "none", duration:0.5, start: "-=50%"})
				//	.to(".suono", {  opacity:1, y: "-40px", ease: "none", duration:2})
	
	
} else {
	var tl_step5 = gsap.timeline({
	    scrollTrigger: {
	      trigger: ".step4",
	      scroller: ".smooth-scroll",
	      scrub: true,
				pin: pin,
				start: "top top",
	      end: "+="+end4+"%"
	    }
	  });
		tl_step5.to(airpods3, {
							frame: frameCount3 - 1,
							snap: "frame",
							onUpdate: render3,
							duration: 6
					}, 'start')
					.to("#titolo8", { x:"-200%", ease: "none", duration:3},"-=6")
					.to("#titolo_8s", { x:"-200%", ease: "none", duration:3},"-=4")
				//	.to(".suono", {  opacity:1, y: "-40px", ease: "none", duration:0.5, start: "-=50%"})
				//	.to(".suono", {  opacity:1, y: "-40px", ease: "none", duration:2})
	
	
}
			
			
			//STEP5
			if(!ismobile) {
				var tl_step6 = gsap.timeline({
				    scrollTrigger: {
				      trigger: ".step5",
				      scroller: ".smooth-scroll",
				      scrub: true,
							start: "-=100%"
				    }
				  });
					tl_step6.to("#image1", { y:"-200px", ease: "none", duration:3})
									.to(".container-move", { y:"-300px", ease: "none", duration:3},"-=2")
									.to("#image2", { y:"-200px", ease: "none", duration:3},"-=2")
			

					var tl_step7 = gsap.timeline({
					    scrollTrigger: {
					      trigger: "#caratteristiche.colonne3-c",
					      scroller: ".smooth-scroll",
					      scrub: true,
						 // pin: true,
						  start: "-=50%",
					      end: "+=200%"
					    }
					  });
					 tl_step7.from("#caratteristiche .grid3", {y: "200px", opacity:0, ease: "none",duration: 2})
									.pause()
									.to("#caratteristiche .grid3", {y: "0", opacity:1, ease: "none",duration: 2})
									.to("#caratteristiche .grid3", {y: "-200px", opacity:0, ease: "none",duration: 2})
					 
					 
  					// var tl_step7_s = gsap.timeline({
//   					    scrollTrigger: {
//   					      trigger: "#caratteristiche2.colonne3-c",
//   					      scroller: ".smooth-scroll",
//   					      scrub: true,
//   						  pin: true,
//   						  start: "center center",
//   					      end: "+=100%"
//   					    }
//   					  });
//   					 tl_step7_s.from("#caratteristiche2 .grid3", {y: "200px", opacity:0, ease: "none",duration: 2})
//   									.pause()
//   									.to("#caratteristiche2 .grid3", {y: "0", opacity:1, ease: "none",duration: 2})
//   									.to("#caratteristiche2 .grid3", {y: "-200px", opacity:0, ease: "none",duration: 2})
//
					  
						
						
  					var tl_step9 = gsap.timeline({
  									    scrollTrigger: {
  									      trigger: ".step7",
  									      scroller: ".smooth-scroll",
  									      scrub: true,
  												pin: pin,
  												start: "center center",
  									      end: "+=100%"
  									    }
  									  });
  										//tl_step9.to(".testo-ruota", {rotate: "360deg", ease: "none",duration: 2})
									  
									  
						
						var tl_step8 = gsap.timeline({
						    scrollTrigger: {
						      trigger: ".step6",
						      scroller: ".smooth-scroll",
						      scrub: true,
									pin: pin,
						      end: "+=150%"
						    }
						  });
						
							var moveri = 0;
							if($(".right-info").height() > $(window).height() - 200) {
								moveri = $(window).height() - $(".right-info").height() - 200;
							}
						
						
						
							tl_step8.to(airpods4, {
										frame: frameCount4 - 1,
										snap: "frame",
										onUpdate: render4,
										duration: 5})
										.to(".right-info", {y: moveri, ease: "none",duration: 5},"-=5")
					
						
					
			
			}
			
							
				
				
				
					
					
					
				
						
			
				// var tl_step10 = gsap.timeline({
	// 			    scrollTrigger: {
	// 			      trigger: ".step8",
	// 			      scroller: ".smooth-scroll",
	// 			      scrub: true,
	// 						pin: true,
	// 						start: "center center",
	// 			      end: "+=100%"
	// 			    }
	// 			  });
	// 				tl_step3.to(".move-step8", {y: "200px", opacity:1, ease: "none",duration: 2})
	// 							.pause()
	// 							.to(".move-step8", {y: "0", opacity:1, ease: "none",duration: 2})
	// 							.to(".move-step8", {y: "-200px", opacity:0, ease: "none",duration: 2})
								
	// each time the window updates, we should refresh ScrollTrigger and then update LocomotiveScroll. 
	ScrollTrigger.addEventListener("refresh", () => locoScroll.update());

	// after everything is set up, refresh() ScrollTrigger and update LocomotiveScroll because padding may have been added for pinning, etc.
	ScrollTrigger.refresh();

});